<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myProductDocumentLabel" jhiTranslate="mpmApp.productDocument.home.createOrEditLabel">Create or edit a Product Document</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!productDocument.idDocument">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="productDocument.idDocument" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label mandatory" jhiTranslate="mpmApp.productDocument.content" for="field_content">Content</label>
            <div>
                <img [src]="'data:' + productDocument.contentContentType + ';base64,' + productDocument.content" style="max-height: 100px;" *ngIf="productDocument.content" alt="productDocument image"/>
                <div *ngIf="productDocument.content" class="form-text text-danger clearfix">
                    <span class="pull-left">{{productDocument.contentContentType}}, {{byteSize(productDocument.content)}}</span>
                    <button type="button" (click)="clearInputImage('content', 'contentContentType', 'fileImage')" class="btn btn-secondary btn-xs pull-right">
                        <span class="fa fa-times"></span>
                    </button>
                </div>
                <input type="file" id="file_content" (change)="setFileData($event, productDocument, 'content', true)" accept="image/*" jhiTranslate="entity.action.addimage" required/>
            </div>
            <input type="hidden" class="form-control" name="content" id="field_content"
                [(ngModel)]="productDocument.content"  />
            <input type="hidden" class="form-control" name="contentContentType" id="field_contentContentType"
                [(ngModel)]="productDocument.contentContentType" />
        </div>
        <div class="form-group">
            <label class="form-control-label mandatory" jhiTranslate="mpmApp.productDocument.note" for="field_note">Note</label>
            <input type="text" class="form-control" name="note" id="field_note"
                [(ngModel)]="productDocument.note" required />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.productDocument.dateCreate" for="field_dateCreate">Date Create</label>
            <div class="input-group">
                <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="productDocument.dateCreate"
                    dateFormat="dd-mm-yy" [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label mandatory" jhiTranslate="mpmApp.productDocument.documentType" for="field_documentType">Document Type</label>
            <select class="form-control" id="field_documentType" name="documentType" [(ngModel)]="productDocument.documentTypeId" required>
                <option [ngValue]="null">Please select document type</option>
                <option [ngValue]="documentTypeOption.idDocumentType" *ngFor="let documentTypeOption of documenttypes; trackBy: trackDocumentTypeById">{{documentTypeOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
